Starting and Stopping VAIO Media Integrated Server

To enable the function for making content stored on the computer available within the home network, follow the procedure below to start VAIO Media Integrated Server.

Starting VAIO Media Integrated Server

Click the Start button in the "Start/Stop server" box on the VAIO Media Integrated Server page.

VAIO Media Integrated Server starts.

Stopping VAIO Media Integrated Server

Click the Stop button in the "Start/Stop server" box on the VAIO Media Integrated Server page.

Note

Stopping an active server function completely disables access to the server.

Renaming the Server

You can change the server name for identifying VAIO Media Integrated Server started on this computer within the home network. This server name is displayed when the server list is opened from VAIO Media or another device.

To change the server name, click "Specify device name" in the "Device name to display" box on the VAIO Media Integrated Server page and then enter a new name in "Device name to display."

Note

You cannot include single-byte spaces and the following symbols in the server name.

` ~ ! @ # $ ^ & * ( ) = + [ ] { } \ | ; : ' " , < > / ? %

Icons displayed in notification area

The icons shown below are displayed for VAIO Media Server Settings in the notification of the taskbar to indicate server conditions.

Icon | Meaning | Description
(Rotates clockwise) | Delivering | VAIO Media Integrated Server is delivering content.
 | Started | VAIO Media Integrated Server has been started (but is not delivering content).
 | Stopped | VAIO Media Integrated Server is stopped.


Enabling Access from Another Device (Client)

Configure the necessary settings on the server to enable access to this computer from another device (client). If these settings are not configured, playing/viewing content will only be possible with VAIO Media on the same computer as the server.

  1. Click "Access control settings."
  2. Select the check box next to "Allow other devices on your network to access this computer."
    The IMPORTANT dialog box appears.
  3. Read the information and then click the OK button.
  4. Click the OK or Apply button in the VAIO Media Server Settings dialog box.
    The server restarts.

Perform the above operation to enable access to this computer from other devices on the network.

Next, configure the settings to enable a device that has accessed this computer to play/view the content of the server. Only permit specific devices to prevent devices you do not wish to play/view content from doing so.

By default, when a device accesses the server, a message balloon appears from the VAIO Media Server Settings icon in the notification area of the server. If you click the message balloon and click the Allow button in the dialog box that appears, the device is registered as a device with access permission in the "Devices on the network" list on the Access control settings page.

If you close the message balloon by clicking X or click the message balloon and then click the Cancel button in the dialog box that appears, the device is registered as a device awaiting access permission in the "Devices on the network" list on the Access control settings page. To grant the device access permission later, click the device in the "Devices on the network" list and then click the Allow button.

Hint

You can disable the display of message balloons by clearing the check box next to "Display a message when a new device attempts to access this computer" on the Access control settings page.

Registering a device manually

You can also register a device to the "Devices on the network" list manually. Click the Register button and follow the instructions that appear on the screen. For details, refer to Preparing your Network for Use with VAIO Media.

Revoking access permission for a device

Select a device name in the "Devices on the network" list, and click "Do not Allow."

Changing device information

You can change information in the "Devices on the network" list in the following ways.

  • To change the name registered for a device, select the device name you want to change in the "Devices on the network" list and then click the Rename button. When the device name in the list is highlighted, input a new name and press Enter.
  • To remove a device from the "Devices on the network" list, click the name of the device to remove and then click the Remove button.

Enabling devices that access the server to connect automatically

Select the check box next to "Automatically allow new devices to connect" to automatically register new devices that access the server as devices with access permission in the "Devices on the network" list.

Protecting the content stored on the server

If your server is connected directly to the Internet without using a router or you are in a network environment that can be readily accessed by unknown people (such as in an apartment or condominium complex), unknown devices may be registered automatically, thus allowing them play back your content without permission. To ensure that only specific devices can enjoy the content on your server, you should normally set all other client devices to wait for access permission.

To set a client to wait for access permission, select the device name in the "Devices on the network" list in the Access Control Settings page of VAIO Media Server Settings and then click "Do not Allow."


Specifying the Folders Containing Ordinary Files to Access from Other Devices

To enable VAIO media and other devices to play back ordinary content files (music, photo, and video files) stored on the computer to be used as the server, specify the folders that contain the content to access from other devices.

You can specify up to ten folders to access from other devices.

  1. Click the Add button of the "Specify folders to access from other devices" box on the VAIO Media Integrated Server page.
  2. Select the folder to specify and then click the OK button.
    The specified folder appears in the "Content folders" list of the "Specify folders to access from other devices" box.

Notes

  • The following folders cannot be specified.
    • The root directory of the hard disk drive (e.g.: C:\).
    • The folders where Windows (normally C:\Windows) and programs (normally C:\Program Files) are installed.
    • Some folders under C:\Users (for Windows Vista) or C:\Documents and Settings (for Windows XP).
    • Any folders located on a DVD/CD-ROM drive, removable drive, network drive, etc.
  • Do not use Windows Explorer at a later time to modify the names of folders or delete folders that were registered here.
  • The folder registration settings configured here are also shared by other software that comes preinstalled on the VAIO. Be careful when modifying folder registration settings.

Removing a folder

Select the folder you want to remove from the "Content folders" list of the "Specify folders to access from other devices" box and then click the Remove button. This operation cancels the folder registration.

About uploading photos

You can upload photos to registered folders via the network from clients for uploading photos such as PictureGear Studio (Ver.2.0 or later) and Network Smart Capture (Ver.1.2 or later).

Be sure to observe the following points when using this function.

  • Note that folders other than specified folders and folders within specified folders cannot be uploaded.
  • Content uploaded with the Fixed Point Observation function of Network Smart Capture (Ver.1.2 or later) is saved in the following location.
    (For Windows Vista) C:\ProgramData\Sony Corporation\VAIO Media Integrated Server\Incoming
    (For Windows XP) C:\Documents and Settings\All Users\VAIO Media Integrated Server\Incoming


About Server Delivery Formats

The delivery formats for content are as follows.

When using a device other than a computer, refer to the documentation for the device and confirm the following points.

Delivery Formats Not Converted

When a VAIO Media-compatible device other than a computer is used as a client, only content delivered in formats that can be played on the client can be enjoyed.

Type of Content Format
Music *1
  • ATRAC3 or ATRAC3plus
  • AAC
  • MP3 (MPEG1 Audio Layer-3)*2
  • WMA (except for copyright protected content)
  • RAW (linear PCM)
Photos
  • BMP
  • JPEG
  • GIF
  • TIFF
  • PNG
Videos *3 *4
  • MPEG1*5
  • MPEG2
TV *14
  • MPEG1*6
  • MPEG2

Delivery Formats Converted

The server of VAIO Media converts the original format to another format if necessary. This conversion process is performed on the server, but the formats to use for delivery are selected in accordance with the settings of each client. The original formats are converted to the following formats.

Type of Content Original Format Format When Delivered
Music *1 Music file organized by SonicStage *7
  • ATRAC3 or ATRAC3plus (Not converted)
  • RAW (linear PCM)
WAV (linear PCM)*8
  • RAW (linear PCM)
MP3 (MPEG1 Audio Layer-3)
  • MP3 (MPEG1 Audio Layer-3) (Not converted)
  • RAW (linear PCM)
WMA (except for copyright protected content)
  • WMA (except for copyright protected content) (Not converted)
  • RAW (linear PCM)
Photos BMP
  • BMP (Not converted)
  • JPEG
JPEG
  • JPEG
GIF
  • GIF (Not converted)
  • JPEG
TIFF
  • TIFF (Not converted)
  • JPEG
PNG
  • PNG (Not converted)
  • JPEG
Videos *3 *4 TV program recorded with VAIO Zone
  • MPEG2 (Not converted)
TV program recorded with Giga Pocket*9
  • MPEG1 (Not converted)*5
  • MPEG2 (Not converted)
TV program recorded with Windows Media Center
  • MPEG2
MPEG1
  • MPEG2
MPEG2 (program stream)*10 *11
  • MPEG2
DVR-MS (except for copyright protected content)
  • MPEG2
HDV *12
  • HDV (Not converted)
  • MPEG2 (only possible with a model capable of HW transcode)
AVI (DV-AVI, DivX*13, etc.)
  • MPEG2
WMV
  • WMV (Not converted)
  • MPEG2
MP4 *14
  • MPEG2
TV *15 Video signal from a TV tuner
  • MPEG1*6
  • MPEG2
External input signal (only possible with televisions equipped with an external input signal connector)
  • MPEG2

*1 The following audio files are converted to RAW format (linear PCM) before delivery. As a result, they may not be able to be played when the network bandwidth is low.
  • ATRAC 96/128/160/192/320/352 kbps
  • ATRAC Advanced Lossless
  • Content recorded without copyright protection using software such as SonicStage.
*2 | VAIO Media cannot properly handle MP3 files recorded at a variable bit rate (VBR). The track time may not be displayed properly.
*3 | If Giga Pocket is installed on the server, video conversion cannot be performed while Giga Pocket is recording.
*4 | Except for HDV format files, video with a picture size larger than 720 x 576 cannot be converted to MPEG2 format for playback.
*5 | Limited to video files saved in MPEG1 format at the time of recording with Giga Pocket.
*6 | Only possible when the server is a model equipped with Giga Pocket.
*7 | As a general rule content obtained from a music distributor is excluded.
*8 | Audio files in 5.1 channel WAV format are downmixed to 2 channels during conversion.
*9 | Cannot be played when embedded with duplicate control data produced by CGMS-A (Copy Generation Management System - Analog).
*10 Playback and server operations may not be able to be performed properly when attempting to play the following types of videos.
  • Videos with a time stamp that does not start at zero
  • Videos with a time stamp that is not continuous
  • Videos in which, for example, the screen size or aspect ratio changes during playback
*11 If the original content does not meet the following conditions, it is modified in order to meet the conditions. This is to enable it to be played back on many clients.
 |  | MPEG2
Video | Format | MPEG2 PS
 | Video codec | MPEG2V
 | Resolution | (NTSC) 720 x 480, 352 x 480, 352 x 240 (PAL) 720 x 576, 352 x 576, 352 x 288
 | Bit rate | 2 Mbps - 9.8 Mbps
 | Frame rate | (NTSC) 29.97 fps (PAL) 25 fps
 | Aspect ratio | 4:3, 16:9
Audio | Audio codec | MPEG1 Layer2, AC3
 | Sample frequency | 48 kHz
 | Audio bit rate | -
 | Audio channels | -
*12 | Files of this format are delivered by the server without being converted. As such, clients that do not support the HDV file format cannot play these files.
*13 | You must install the appropriate codec on the computer used as the server to convert DivX files.
*14 | Only certain VAIO models can use this function.
*15 | TV broadcasts can only be distributed from some VAIO models equipped with a TV tuner. The TV function may not be available in some countries or regions.

Note

  • Even with content in the Original Format column, video may appear fuzzy or the content may not play properly depending on the file.
  • WAV format files with an 8 bit sampling rate are not supported.
  • In order to record and store TV broadcasts on the server, your computer must be equipped with a TV tuner. Also, recording methods may differ depending on your computer model.